org.h2.mvstore

## Class RootReference

- java.lang.Object
- - org.h2.mvstore.RootReference

    public final class RootReference
    extends java.lang.Object

Class RootReference is an immutable structure to represent state of the MVMap as a whole (not related to a particular B-Tree node). Single structure would allow for non-blocking atomic state change. The most important part of it is a reference to the root node.

### Field Summary

Fields
`RootReference` `previous` Reference to the previous root in the chain.
`Page` `root` The root page.
`long` `version` The version used for writing.

### Method Summary

Methods
`long` `getTotalCount()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### root

    public final Page root

The root page.

#### version

    public final long version

The version used for writing.

#### previous

    public volatile RootReference previous

Reference to the previous root in the chain.

### Method Detail

#### getTotalCount

    public long getTotalCount()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`